Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.persistence.bookmarks
Interface BookmarkHandler

All Known Implementing Classes:
  DefaultBookmarkHandler

    public interface BookmarkHandler

Method Summary
`void` | `handleBookmarkCreation(Bookmark bookmark, javax.portlet.PortletRequest request, javax.portlet.StateAwareResponse response)` Handles a bookmark's creation for a given portlet request; Default implementation is to store serialized session attributes as a single JSON String
`void` | `handleBookmarkLoad(Bookmark bookmark, javax.portlet.PortletRequest request, javax.portlet.StateAwareResponse response)` Handles a bookmark load for a given portlet request; Default implementation is to load a JSON String representation of this portlet's state by setting session attributes

Method Detail

### handleBookmarkCreation

    void handleBookmarkCreation(Bookmark bookmark,
                                javax.portlet.PortletRequest request,
                                javax.portlet.StateAwareResponse response)
                                throws javax.portlet.PortletException

  Handles a bookmark's creation for a given portlet request; Default implementation is to store serialized session attributes as a single JSON String

  Parameters:
    `bookmark` -
    `request` -
    `response` -
  Throws:
    `javax.portlet.PortletException`

### handleBookmarkLoad

    void handleBookmarkLoad(Bookmark bookmark,
                            javax.portlet.PortletRequest request,
                            javax.portlet.StateAwareResponse response)
                            throws javax.portlet.PortletException

  Handles a bookmark load for a given portlet request; Default implementation is to load a JSON String representation of this portlet's state by setting session attributes

  Parameters:
    `bookmark` -
    `request` -
    `response` -
  Throws:
    `javax.portlet.PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD